### Property

# Gtk Image:icon-name

since: 4.0

#### Declaration

    property icon-name: utf8 [ read, write ]

#### Description [src]

The name of the icon in the icon theme.

If the icon theme is changed, the image will be updated automatically.

Type: | `gchar*`
Available since: | 4.0

Default value | NULL
Getter method | `gtk_image_get_icon_name()`
Setter method | `gtk_image_set_from_icon_name`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no